Vagrant.configure("2") do |config|
    config.vm.box_download_insecure=true
   
  	config.vm.define  "K8SMasterNode"  do  |app|
    app.vm.hostname  =  "K8SMasterNode.dev"
	app.vm.box = "bento/ubuntu-22.04"
    app.vm.network  :private_network,  ip:  "192.168.60.10"
    app.vm.provider  :virtualbox  do  |v|
    	v.memory  =  4096
	v.cpus = 4
    end
    #app.vm.provision "shell", path: "./scripts/setup_all_nodes.sh"
  end
  
  config.vm.define  "K8SWorkerNode01"  do  |app|
    app.vm.hostname  =  "K8SWorkerNode01.dev"
	app.vm.box = "bento/ubuntu-22.04"
    app.vm.network  :private_network,  ip:  "192.168.60.20"
    app.vm.provider  :virtualbox  do  |v|
    	v.memory  =  8192
	v.cpus = 4
    end
    #app.vm.provision "shell", path: "./scripts/setup_all_nodes.sh"
  end
  
  config.vm.define  "K8SWorkerNode02"  do  |app|
    app.vm.hostname  =  "K8SWorkerNode02.dev"
	app.vm.box = "bento/ubuntu-22.04"
    app.vm.network  :private_network,  ip:  "192.168.60.30"
    app.vm.provider  :virtualbox  do  |v|
    	v.memory  =  8192
        v.cpus = 4
    end
    #app.vm.provision "shell", path: "./scripts/setup_all_nodes.sh"
  end
end
